import 'package:flutter/material.dart';

/// Calling settings configuration page
class SettingsCallPage extends StatelessWidget {
  const SettingsCallPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      appBar: AppBar(
        title: const Text('Call Settings'),
      ),
      body: ListView(
        children: const [
          ListTile(
            title: Text('Call Forwarding', style: TextStyle(color: Colors.white)),
            subtitle: Text('Manage call forwarding options', style: TextStyle(color: Colors.grey)),
          ),
          ListTile(
            title: Text('Call Waiting', style: TextStyle(color: Colors.white)),
            subtitle: Text('Enable or disable call waiting', style: TextStyle(color: Colors.grey)),
          ),
          ListTile(
            title: Text('Caller ID', style: TextStyle(color: Colors.white)),
            subtitle: Text('Manage your caller ID settings', style: TextStyle(color: Colors.grey)),
          ),
        ],
      ),
    );
  }
}
